## emuga 0.0.2

=== Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/usr/sbin
	cp -a emuga-target.pl $(DESTDIR)/usr/sbin/emuga-target
	cp -a emuga-groupgen.pl $(DESTDIR)/usr/sbin/emuga-groupgen
	mkdir -p $(DESTDIR)/etc/emuga
	cp conf/*.* $(DESTDIR)/etc/emuga

=== debian/changelog ===
emuga (0.0.2) unstable; urgency=low

  * New command and bugs fixed.

 -- Ola Lundqvist <opal@debian.org>  Wed, 17 Apr 2002 18:40:02 +0200

emuga (0.0.1) unstable; urgency=low

  * Initial release.

 -- Ola Lundqvist <opal@debian.org>  Mon, 18 Mar 2002 14:27:18 +0100

=== debian/control ===
Source: emuga
Section: admin
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: emuga
Architecture: all
Depends: ${perl:Depends}, opalmod
Description: Extended Modelling of Group Access
 This package can help you to extend the normal limits of unix groups.
 .
 Right now there are two tools available:
 .
   * Target handling, allowing you to have one group for read access
     and one group for write access.
   * Group file generator that makes it easier to define complex
     group structures.

## emuga 0.1.0

=== debian/changelog ===
emuga (0.1.0) unstable; urgency=low

  * Created a usergen program.
  * Changed some of the configuration for emuga, making a bit incompatible
    with earlier versions.
  * Removed now depricated opalmod dependency.

 -- Ola Lundqvist <opal@debian.org>  Mon,  2 Feb 2004 19:42:44 +0100

emuga (0.0.3) unstable; urgency=low

  * Updated standards version from 3.5.2 to 3.5.8 (no other changes).
  * Removed debian/emuga.conffiles because it is properly generated
    anyway.
  * Fixed error in emuga-target if moving writegroup and writegroup
    to something else.

 -- Ola Lundqvist <opal@debian.org>  Fri, 24 Jan 2003 09:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Build-Depends-Indep: debhelper (>> 3.0.0), perl
+Standards-Version: 3.5.8
 
 Package: emuga
 Architecture: all
-Depends: ${perl:Depends}, opalmod
+Depends: ${perl:Depends}
 Description: Extended Modelling of Group Access
  This package can help you to extend the normal limits of unix groups.
  .

## emuga 0.1.1

=== Makefile ===
DDATE=`date`
MANMAKE=pod2man --section=1 --release="Emuga " --date="$(DDATE)"

all: build

build: build-man

build-man:
	$(MANMAKE) emuga-target.pl > emuga-target.1
	$(MANMAKE) emuga-usergen.pl > emuga-usergen.1
	$(MANMAKE) emuga-groupgen.pl > emuga-groupgen.1

install: install-etc install-bin install-man

install-bin:
	mkdir -p $(DESTDIR)/usr/sbin
	cp -a emuga-target.pl $(DESTDIR)/usr/sbin/emuga-target
	cp -a emuga-usergen.pl $(DESTDIR)/usr/sbin/emuga-usergen
	cp -a emuga-groupgen.pl $(DESTDIR)/usr/sbin/emuga-groupgen

install-etc:
	mkdir -p $(DESTDIR)/etc/emuga
	cp conf/*.* $(DESTDIR)/etc/emuga

install-man: build-man
	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp *.1 $(DESTDIR)/usr/share/man/man1
	gzip -9 $(DESTDIR)/usr/share/man/man1/*.1

clean:
	-rm -f *.1

=== debian/changelog ===
emuga (0.1.1) unstable; urgency=low

  * Removed CVS files.
  * Updated to standards version 3.6.1.
  * Updated description.

 -- Ola Lundqvist <opal@debian.org>  Mon, 14 Mar 2005 22:29:03 +0100

=== debian/control ===
Source: emuga
Section: admin
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), perl
Standards-Version: 3.6.1

Package: emuga
Architecture: all
Depends: ${perl:Depends}
Description: extended modelling of group access
 This package can help you to extend the normal limits of unix groups.
 .
 Right now there are two tools available:
 .
   * Target handling, allowing you to have one group for read access
     and one group for write access.
   * Group file generator that makes it easier to define complex
     group structures.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/emuga.sgml > emuga.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/emuga.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/emuga

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## emuga 0.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DDATE=`date`
+DDATE=`LANG=C date`
 MANMAKE=pod2man --section=1 --release="Emuga " --date="$(DDATE)"
 
 all: build

=== test/Makefile ===
test:
	../emuga-groupgen.pl -g group -t group.template -d group.def -s

=== debian/changelog ===
emuga (0.1.2) unstable; urgency=low

  * Corrected wrong character issue in manpage.
  * Updated to standards version 3.7.2.
  * Corrected so that debhelper is now build depends instead of build
    depends indep.
  * Updated to debhelper 4 compatibility.
  * Updated to new FSF address.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Jul 2006 00:32:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), perl
-Standards-Version: 3.6.1
+Build-Depends-Indep: perl
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: emuga
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
